<?php

declare(strict_types=1);

namespace Seka\Vzdelavanie\Dtos\Kniznica\Backend;

use Seka\Vzdelavanie\Dtos\Kniznica\SekciaDTO as BaseSekciaDTO;

/**
 * Class SekciaDTO
 *
 * @package Seka\Vzdelavanie\Dtos\Kniznica\Backend
 */
final class SekciaDTO extends BaseSekciaDTO
{
    /**
     * @var \Seka\Vzdelavanie\Dtos\Kniznica\Backend\SekciaDTO[]|null
     */
    public $children;

    /**
     * SekciaDTO constructor.
     *
     * @param array $parameters
     */
    public function __construct(array $parameters = [])
    {
        parent::__construct($parameters);
    }

    /**
     *
     */
    protected function makeLink()
    {
        $this->link = route(
            'vzdelavanie.sprava.kniznica.kategoria.ucebnice.sekcia.edit',
            [
                $this->ucebnica->kategoria->hash_id,
                $this->ucebnica->hash_id,
                $this->hash_id,
            ]
        );
    }
}
